<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.0 build:20090331
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v2.0';
$oVIP->selfurl = 'qtfm_antispam_uninstall.php';
$oVIP->selfname = 'Uninstall module ANTISPAM '.$strVersion;

// UNINSTALL

$oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_antispam" OR param="m_antispam" OR param="m_antispam_conf"');
if ( isset($_SESSION[QT]['m_antispam']) ) unset($_SESSION[QT]['m_antispam']);
if ( isset($_SESSION[QT]['m_antispam_conf']) ) unset($_SESSION[QT]['m_antispam_conf']);
if ( isset($_SESSION[QT]['m_antispam_count']) ) unset($_SESSION[QT]['m_antispam_count']);

// --------
// Html start
// --------

include('qtf_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
<h2>Removing database settings</h2>
<p>Ok</p>
<h2>Uninstall completed</h2>
<p>You can delete files:<br/>qtfm_antispam.php<br/>qtfm_antispam_adm.php<br/>qtfm_antispam_admip.php<br/>qtfm_antispam_install.php<br/>qtfm_antispam_uninstall.php</p>
';

// --------
// Html end
// --------

include('qtf_adm_p_footer.php');

?>
